# fortios_log_fortianalyzer2_setting – Global FortiAnalyzer settings in Fortinet’s FortiOS and FortiGate

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify log_fortianalyzer2 feature and setting category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.

https
boolean

Choices:
- no
- yes ←

Indicates if the requests towards FortiGate must use HTTPS protocol.

log_fortianalyzer2_setting dictionary | Default: null | Global FortiAnalyzer settings.
| __change_ip integer |  | Hidden attribute.
| certificate string |  | Certificate used to communicate with FortiAnalyzer. Source certificate.local.name.
| conn_timeout integer |  | FortiAnalyzer connection time-out in seconds (for status and log buffer).

enc_algorithm
string

Choices:
- high-medium
- high
- low

Enable/disable sending FortiAnalyzer log data with SSL encryption.

| faz_type integer |  | Hidden setting index of FortiAnalyzer.

hmac_algorithm
string

Choices:
- sha256
- sha1

FortiAnalyzer IPsec tunnel HMAC algorithm.

ips_archive
string

Choices:
- enable
- disable

Enable/disable IPS packet archive logging.

| mgmt_name string |  | Hidden management name of FortiAnalyzer.
| monitor_failure_retry_period integer |  | Time between FortiAnalyzer connection retries in seconds (for status and log buffer).
| monitor_keepalive_period integer |  | Time between OFTP keepalives in seconds (for status and log buffer).

reliable
string

Choices:
- enable
- disable

Enable/disable reliable logging to FortiAnalyzer.

| server string |  | The remote FortiAnalyzer.
| source_ip string |  | Source IPv4 or IPv6 address used to communicate with FortiAnalyzer.

ssl_min_proto_version
string

Choices:
- default
- SSLv3
- TLSv1
- TLSv1-1
- TLSv1-2

Minimum supported protocol version for SSL/TLS connections .

status
string

Choices:
- enable
- disable

Enable/disable logging to FortiAnalyzer.

| upload_day string |  | Day of week (month) to upload logs.

upload_interval
string

Choices:
- daily
- weekly
- monthly

Frequency to upload log files to FortiAnalyzer.

upload_option
string

Choices:
- store-and-upload
- realtime
- 1-minute
- 5-minute

Enable/disable logging to hard disk and then uploading to FortiAnalyzer.

| upload_time string |  | Time to upload logs (hh:mm).
password string | Default: "" | FortiOS or FortiGate password.

ssl_verify
boolean
added in 2.9

Choices:
- no
- yes ←

Ensures FortiGate certificate must be verified by a proper CA.

username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet
- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Global FortiAnalyzer settings.
        fortios_log_fortianalyzer2_setting:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          log_fortianalyzer2_setting:
            __change_ip: "3"
            certificate: "<your_own_value> (source certificate.local.name)"
            conn_timeout: "5"
            enc_algorithm: "high-medium"
            faz_type: "7"
            hmac_algorithm: "sha256"
            ips_archive: "enable"
            mgmt_name: "<your_own_value>"
            monitor_failure_retry_period: "11"
            monitor_keepalive_period: "12"
            reliable: "enable"
            server: "192.168.100.40"
            source_ip: "84.230.14.43"
            ssl_min_proto_version: "default"
            status: "enable"
            upload_day: "<your_own_value>"
            upload_interval: "daily"
            upload_option: "store-and-upload"
            upload_time: "<your_own_value>"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)
- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.